/**
 * 设备列表页
 *
 * */

import React, { useEffect, useState } from 'react'
import { SafeAreaView, TextInput, Text, TouchableHighlight, View,  } from 'react-native';
import styles from './style';
import requestUrl from '../../config';

const Equipment = () => {
  const [nickName, setnickName] = useState('');
  useEffect(() => {
    getEquimentList();
  }, []);

  const getEquimentList = async () => {
   try {
     const { data } = await fetch(`${requestUrl}user/loginDevices`);
     console.log('data', data);
   } catch (e) {
     console.log('e', e);
   }
  };


  return (
    <SafeAreaView style={styles.container}>
      <TextInput
        style={styles.input}
        value={nickName}
        onChange={(e) => { setnickName(e.target.value); }}
        placeholder="请输入昵称"
      />

      <Text style={styles.tip}>4-20个字符，可由中英文、数字、“-”、“_”组成</Text>

      <View style={styles.submit}>
        <TouchableHighlight>
          <View style={styles.btn}>
            <Text style={styles.btnText}>保存</Text>
          </View>
        </TouchableHighlight>
      </View>
    </SafeAreaView>
  )
};

export default Equipment
